
#include<stdio.h>
#include<netinet/in.h>
#include<stdlib.h>
#include<pthread.h>
#include<unistd.h>

#include"sitar.h"
#include"sitar_com.h"
#include"sitar_scan.h"
#include<almemsys/almemsys.h>


extern global_data_t gd;
private_data_t *gpd;


int private_malloc_set(void)
{
int co;

if((gpd = (private_data_t *)malloc((gd.td.tcount + 2) * sizeof(private_data_t)))==NULL){exit(1);}

for(co = 0; co < gd.td.tcount; co++){
   scan_malloc_set(&gpd[co]);
   }

return 0;
}



int private_malloc_free(void)
{
int co;

for(co = 0; co < gd.td.tcount; co++){
   scan_malloc_free(&gpd[co]);
   free(&gpd[co]);
   }

return 0;
}










